%define name drakx-installer-stage2
%define version 10.4.128
%define release %mkrel 3

%define ldetect_lst_version %(rpm -q --queryformat '%{VERSION}-%{RELEASE}' ldetect-lst)

Summary: DrakX installer stage2 image
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Other
Url: http://wiki.mandriva.com/Tools/DrakX
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: squashfs-tools
BuildRequires: libx11-devel perl-devel libldetect-devel drakx-installer-binaries
BuildRequires: perl-Gtk2 perl-Glib perl-XML-Parser perl-Curses perl-Curses-UI perl-Term-ReadKey
BuildRequires: perl-Locale-gettext packdrake
BuildRequires: drakx-net >= 0.11
BuildRequires: drakx-kbd-mouse-x11 >= 0.14
# progs
BuildRequires: e2fsprogs dosfstools 
BuildRequires: task-x11 x11-server-xnest libx11-devel libxxf86misc-devel x11-driver-video-fbdev
BuildRequires: setserial pciutils mt-st reiserfsprogs jfsprogs
BuildRequires: xfsprogs pcmcia-cs gettext ash linuxwacom
BuildRequires: fonts-ttf-bengali fonts-ttf-bitstream-vera fonts-ttf-gurmukhi fonts-ttf-thai fonts-ttf-devanagari
BuildRequires: fb2png ntfsprogs ia_ora-gnome brltty
BuildRequires: lvm2 perl-URPM glibc-i18ndata
BuildRequires: dmraid mdadm quota
BuildRequires: losetup xmodmap xset monitor-edid locales
BuildRequires: perl-Gtk2-Html2 mandriva-doc-installer-help

#- require the version used during build
Requires: ldetect-lst = %ldetect_lst_version

%description
This is the stage2 image for Mandriva DrakX installer.

%prep
%setup -q

%build
make -C tools
make -C perl-install/install

%install
rm -rf $RPM_BUILD_ROOT

dest=$RPM_BUILD_ROOT%{_libdir}/%name
mkdir -p $dest
make -C perl-install/install install ROOTDEST=$dest
make -C tools install ROOTDEST=$dest

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/%name


%changelog
* Tue Apr 03 2007 Pixel <pixel@mandriva.com> 10.4.128-3mdv2007.1
+ Revision: 150622
- we can't expect mandriva-release nor mandriva-release to be installed at the moment, removing the check
- mandriva-release is no more, mandriva-release-common is the one to check
- don't depend on mandriva-release %%version-%%release, only on %%version
- new release, 10.4.128
- don't configure /etc/kde/kdm/kdmrc if it doesn't exist
  (other kdmrc.rpmnew will be created, many important values will be missing)
- fix ext3 formatting with label and progress bar (#30032)
- fix taking screenshot
- prefering libkdebase4-kmenuedit over libkdebase46-kmenuedit to ensure
  kdebase-kmenuedit is chosen instead of kdebase4-kmenuedit
- rebuild with ldetect-lst 0.1.167

* Thu Mar 29 2007 Olivier Blin <oblin@mandriva.com> 10.4.126-1mdv2007.1
+ Revision: 149916
- use pci_domain when matching sysfs device and computing
  sysfs device path
- correctly mark "update" media in urpmi.cfg
- fix multiple detection of PCI network cards with the same driver
  (#29688)
- rename o->{build_live_system} as more generic
  o->{match_all_hardware} name
- automatically install network drivers when matching all hardware

* Mon Mar 26 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.122-1mdv2007.1
+ Revision: 148979
- final banner image
- fix installing kernel-source-stripped
- include mmc_block for card readers

  + Pixel <pixel@mandriva.com>
    - build with build with drakx-kbd-mouse-x11 0.14

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 10.4.120-1mdv2007.1
+ Revision: 148467
- new release, 10.4.120
- allow having name with "/" in media.cfg
- interactive::curses:
  o handle multi-line labels, and wrap too long labels (#29060)
- do not use bold&big for advanced_messages
  (fixes authentication choice being big & ugly, #28676)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 10.4.119-1mdv2007.1
+ Revision: 148072
- build with drakx-kbd-mouse-x11 0.12
- build with drakx-net 0.8
- new release, 10.4.119
- use concat_symlink to get rid of ../../ in urpmi.cfg on x86_64 for main32 medium
- don't complain about missing pata drivers
- do not install nspluginwrapper on ia32 (#29808)
- use http://api.mandriva.com/mirrors/$type.$version.$arch instead of simply
  $version.$arch (useful to differentiate CorpoDesktop4)
- fix ati/nvidia drivers installation on One

* Mon Mar 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.116-1mdv2007.1
+ Revision: 146617
- do not fallback on english HTML help but on on old translated help
- handle more drivers (dvb, ethernet, gigabit, ide, pcmcia, sata,
  sound, tv, usb hosts, wan, webcam, wireless)
- 2007 RC logo
- diskdrake: handle mkntfs

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.115-1mdv2007.1
+ Revision: 145242
- new release, 10.4.115
- use kernel-*latest to select the kernel,
  and also kernel-source-stripped-latest when dkms is installed on upgrade
- add some nice code selecting the various kernel-source-stripped (or
  kernel-.*-devel) corresponding to the chosen kernels
- allow having rpmsrate on CD0 overriding rpmsrate on CD1
  (bugged introduced in rev 37253)
- when using 2 media_cfg in auto_inst,
  allow specifying which rpmsrate will be used
- for locales with fallback (eg: br:fr), try main language before
  english

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.114-1mdv2007.1
+ Revision: 144865
- 10.4.114 fixes 10.4.113

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 10.4.113-1mdv2007.1
+ Revision: 144739
- new release, 10.4.113
- use grub-gfxmenu command to configure /boot/gfxmenu for grub

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 10.4.111-1mdv2007.1
+ Revision: 144558
- 10.4.111 (fix installation of ati driver for One)

* Thu Mar 15 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.109-1mdv2007.1
+ Revision: 144152
- Buildrequire perl-Gtk2-Html2 for HTML help
- display HTML help if availlable
- load tifm_sd if needed (#25133)
- BuildRequires mandriva-doc-installer-help for HTML help

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 10.4.107-1mdv2007.1
+ Revision: 142402
- new release, 10.4.107
- prefer kde3 packages over kde4 packages
- rebuild with new drakx-kbd-mouse-x11

* Mon Mar 12 2007 Pixel <pixel@mandriva.com> 10.4.106-1mdv2007.1
+ Revision: 142000
- new release, 10.4.106
- move the lib64 symlink in share/symlinks (to fix drakx-in-chroot),
  this will leave a harmless dangling symlink in most cases though
- configure "tifm_7xx1" driven card_reader (#25133)
- do not bother configure old modutils
- fix PCI descriptions returned from pci_probe()
- enhance wrapping in wizards

* Tue Mar 06 2007 Pixel <pixel@mandriva.com> 10.4.103-1mdv2007.1
+ Revision: 133659
- new release:
  o add icons needed by xorg configuration (#29069)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - better summary & description

* Thu Feb 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 10.4.98-1mdv2007.1
+ Revision: 124685
- do not install athcool on ia32, it freeze at least some nforce2 machines
- fix regexp for kernel-2.6.17.10mdv for autoinstall install & liveCD building
- include fsck.jfs on x86_64 too (#28821)
- update kernel/list_modules.pm

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 10.4.96-2mdv2007.1
+ Revision: 122037
- pcmcia_probe.o is needed

* Fri Feb 16 2007 Pixel <pixel@mandriva.com> 10.4.96-1mdv2007.1
+ Revision: 121862
- mandriva-gfxboot-theme is not needed to build
- new release, 10.4.96
- handle vga=0x3.. instead of vga=7..
- prefer free-kde-config (otherwise one-kde-config is chosen)
- use system-wide raghu.ttf (pablo)
- fix rights on files
- fix automatic selection of proprietary video kernel packages (blino)
- modify custom.conf instead of gdm.conf (blino)

* Thu Feb 08 2007 Pixel <pixel@mandriva.com> 10.4.93-1mdv2007.1
+ Revision: 117981
- add BuildRequires fonts-ttf-devanagari (for devanagari/raghu.ttf)
- 10.4.93
- install was completly broken because of stuff.so not being at the right place

* Tue Feb 06 2007 Pixel <pixel@mandriva.com> 10.4.92-1mdv2007.1
+ Revision: 116893
- first release
- Create drakx-installer-stage2

